GET api/bagapi/bag/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
BagViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| bag_status_id | globally unique identifier |
Required |
|
| cleanroom_type_id | globally unique identifier |
Required |
|
| code | integer |
Required |
|
| date_hu | date |
None. |
|
| id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
Required |
|
| wash_count | integer |
None. |
|
| position | integer |
None. |
|
| pc_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
{
"active": true,
"bag_status_id": "658228b5-4075-4789-a31b-0c3d7199edf0",
"cleanroom_type_id": "b54c08aa-97be-4d6a-bcca-8876a17e0c2c",
"code": 3,
"date_hu": "2026-06-09T05:32:35.6416985+00:00",
"id": "548b27ed-de78-46ca-8376-92af75c66da3",
"site_id": "86d59792-c9c2-473b-865f-73c042e25453",
"wash_count": 6,
"position": 7,
"pc_id": "344fbeca-9b96-47cf-864b-2ced382c2e12"
}
application/xml, text/xml
Sample:
<bag xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <bag_status_id>658228b5-4075-4789-a31b-0c3d7199edf0</bag_status_id> <cleanroom_type_id>b54c08aa-97be-4d6a-bcca-8876a17e0c2c</cleanroom_type_id> <code>3</code> <date_hu>2026-06-09T05:32:35.6416985+00:00</date_hu> <id>548b27ed-de78-46ca-8376-92af75c66da3</id> <pc_id>344fbeca-9b96-47cf-864b-2ced382c2e12</pc_id> <position>7</position> <site_id>86d59792-c9c2-473b-865f-73c042e25453</site_id> <wash_count>6</wash_count> </bag>